Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7045 - cat <file> | lpr -Pqueue works as root, not as user
Summary: cat <file> | lpr -Pqueue works as root, not as user
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-16 14:42 UTC by ppk
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-21 11:21:41 UTC


Attachments (Terms of Use)

Description ppk 1999-11-16 14:42:52 UTC
Printing from a normal user with 'cat <file>|lpr -h -Pqueue' gives me the
message:  'lpd: Could not start daemon, job queued'.  And indeed the job is
being queued.  But is not being printed.  While being root this works well.
Strangely enough, submitting something to the printer makes all other
queued messages to come out on the printer.

Seems like some permissions problem but I can't seem to work out what to do
to make this work.

Thanks,
Pascal.

Comment 1 Bernhard Rosenkraenzer 1999-11-21 11:21:59 UTC
Try updating your lpr package to the one from 6.1 updates. That one works for
me.


Note You need to log in before you can comment on or make changes to this bug.